Skip to main content
`Ctrl`+`K`

# PetscDeviceInitializePackage

This function initializes everything in the `PetscDevice` package. It is called on the first call to `PetscDeviceContextCreate()` or `PetscDeviceCreate()` when using shared or static libraries.

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceInitializePackage(void)

## See Also

`PetscInitialize()`, `PetscDeviceFinalizePackage()`, `PetscDeviceContextCreate()`, `PetscDeviceCreate()`

## Level

developer

## Location

src/sys/objects/device/util/devicereg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages